Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.util
Class SimpleDBAccess

    java.lang.Object
      org.ensembl.util.SimpleDBAccess

public class SimpleDBAccess
extends java.lang.Object

Field Summary
`static int` | `GEORDY`
`static int` | `KAKA`
`static int` | `PORT_FORWARD_TO_ACARI`

Constructor Summary
`SimpleDBAccess()`

Method Summary
`static java.sql.Connection` | `createConnection(java.lang.String connStr, java.lang.String user, java.lang.String password)`
`static java.sql.Connection` | `getConnection(int DESTINATION)`
`static java.sql.Connection` | `getConnection(int DESTINATION, java.lang.String database)`
`static java.sql.Connection` | `getConnection(java.lang.String connectionLabel)`
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PORT_FORWARD_TO_ACARI

    public static final int PORT_FORWARD_TO_ACARI

See Also:
  Constant Field Values

### KAKA

    public static final int KAKA

See Also:
  Constant Field Values

### GEORDY

    public static final int GEORDY

See Also:
  Constant Field Values

Constructor Detail

### SimpleDBAccess

    public SimpleDBAccess()

Method Detail

### getConnection

    public static java.sql.Connection getConnection(java.lang.String connectionLabel)

### getConnection

    public static java.sql.Connection getConnection(int DESTINATION)

### getConnection

    public static java.sql.Connection getConnection(int DESTINATION,
                                                    java.lang.String database)

### createConnection

    public static java.sql.Connection createConnection(java.lang.String connStr,
                                                       java.lang.String user,
                                                       java.lang.String password)

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD